## qdacco 0.4

=== Makefile ===
#############################################################################
# Makefile for building: qdacco
# Generated by qmake (1.07a) (Qt 3.3.6) on: Wed Apr 12 18:58:09 2006
# Project:  qdacco.pro
# Template: app
# Command: $(QMAKE) -o Makefile qdacco.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
CXXFLAGS = -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I. -I/mnt/dades/sistema/usr/include/qt3
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = auxiliar.h \
		configura.ui.h \
		ppal.ui.h \
		StructureParser.h \
		worddata.h \
		qm_files.h \
		connection.h
SOURCES = main.cpp \
		StructureParser.cpp \
		worddata.cpp \
		connection.cpp
OBJECTS = main.o \
		StructureParser.o \
		worddata.o \
		connection.o \
		about.o \
		configura.o \
		ppal.o \
		suggeriment.o \
		qmake_image_collection.o
FORMS = about.ui \
		configura.ui \
		ppal.ui \
		suggeriment.ui
UICDECLS = about.h \
		configura.h \
		ppal.h \
		suggeriment.h
UICIMPLS = about.cpp \
		configura.cpp \
		ppal.cpp \
		suggeriment.cpp
SRCMOC   = moc_connection.cpp \
		moc_about.cpp \
		moc_configura.cpp \
		moc_ppal.cpp \
		moc_suggeriment.cpp
OBJMOC = moc_connection.o \
		moc_about.o \
		moc_configura.o \
		moc_ppal.o \
		moc_suggeriment.o
DIST	   = conf.pri \
		qdacco.pro
QMAKE_TARGET = qdacco
DESTDIR  = 
TARGET   = qdacco

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: qdacco.pro  /usr/share/qt3/mkspecs/default/qmake.conf conf.pri \
		/usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile qdacco.pro
qmake: 
	@$(QMAKE) -o Makefile qdacco.pro

dist: 
	@mkdir -p .tmp/qdacco && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/qdacco/ && $(COPY_FILE) --parents qdacco_ca.ts .tmp/qdacco/ && $(COPY_FILE) --parents images/editcopy.png images/editpaste.png images/find.png images/exit.png images/configure.png images/button_ok.png images/button_cancel.png images/fileopen.png images/help.png images/switch2.png images/qdacco.png images/close.png .tmp/qdacco/ && $(COPY_FILE) --parents about.ui.h configura.ui.h ppal.ui.h suggeriment.ui.h .tmp/qdacco/ && ( cd `dirname .tmp/qdacco` && $(TAR) qdacco.tar qdacco && $(GZIP) qdacco.tar ) && $(MOVE) `dirname .tmp/qdacco`/qdacco.tar.gz . && $(DEL_FILE) -r .tmp/qdacco

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
		-$(DEL_FILE) qmake_image_collection.cpp
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

main.o: main.cpp ppal.h \
		auxiliar.h \
		qm_files.h \
		StructureParser.h \
		worddata.h

StructureParser.o: StructureParser.cpp StructureParser.h \
		worddata.h

worddata.o: worddata.cpp worddata.h

connection.o: connection.cpp connection.h \
		auxiliar.h \
		ppal.h \
		StructureParser.h \
		worddata.h

about.h: about.ui 
	$(UIC) about.ui -o about.h

about.cpp: about.h about.ui about.ui.h 
	$(UIC) about.ui -i about.h -o about.cpp

configura.h: configura.ui 
	$(UIC) configura.ui -o configura.h

configura.cpp: configura.h configura.ui configura.ui.h 
	$(UIC) configura.ui -i configura.h -o configura.cpp

ppal.h: ppal.ui StructureParser.h \
		worddata.h
	$(UIC) ppal.ui -o ppal.h

ppal.cpp: ppal.h ppal.ui ppal.ui.h StructureParser.h \
		worddata.h
	$(UIC) ppal.ui -i ppal.h -o ppal.cpp

suggeriment.h: suggeriment.ui 
	$(UIC) suggeriment.ui -o suggeriment.h

suggeriment.cpp: suggeriment.h suggeriment.ui suggeriment.ui.h 
	$(UIC) suggeriment.ui -i suggeriment.h -o suggeriment.cpp

about.o: about.cpp about.ui.h \
		about.h

configura.o: configura.cpp configura.ui.h \
		configura.h

ppal.o: ppal.cpp ppal.ui.h \
		ppal.h

suggeriment.o: suggeriment.cpp suggeriment.ui.h \
		suggeriment.h

moc_connection.o: moc_connection.cpp  connection.h auxiliar.h \
		ppal.h \
		StructureParser.h \
		worddata.h

moc_about.o: moc_about.cpp  about.h 

moc_configura.o: moc_configura.cpp  configura.h 

moc_ppal.o: moc_ppal.cpp  ppal.h StructureParser.h \
		worddata.h

moc_suggeriment.o: moc_suggeriment.cpp  suggeriment.h 

moc_connection.cpp: $(MOC) connection.h
	$(MOC) connection.h -o moc_connection.cpp

moc_about.cpp: $(MOC) about.h
	$(MOC) about.h -o moc_about.cpp

moc_configura.cpp: $(MOC) configura.h
	$(MOC) configura.h -o moc_configura.cpp

moc_ppal.cpp: $(MOC) ppal.h
	$(MOC) ppal.h -o moc_ppal.cpp

moc_suggeriment.cpp: $(MOC) suggeriment.h
	$(MOC) suggeriment.h -o moc_suggeriment.cpp

qmake_image_collection.o: qmake_image_collection.cpp

qmake_image_collection.cpp: images/editcopy.png \
		images/editpaste.png \
		images/find.png \
		images/exit.png \
		images/configure.png \
		images/button_ok.png \
		images/button_cancel.png \
		images/fileopen.png \
		images/help.png \
		images/switch2.png \
		images/qdacco.png \
		images/close.png
	$(UIC)  -embed qdacco images/editcopy.png images/editpaste.png images/find.png images/exit.png images/configure.png images/button_ok.png images/button_cancel.png images/fileopen.png images/help.png images/switch2.png images/qdacco.png images/close.png -o qmake_image_collection.cpp

####### Install

install_target: all 
	@$(CHK_DIR_EXISTS) "$(INSTALL_ROOT)/mnt/dades/sistema/usr/local/bin/" || $(MKDIR) "$(INSTALL_ROOT)/mnt/dades/sistema/usr/local/bin/"
	-$(INSTALL_FILE) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/mnt/dades/sistema/usr/local/bin/$(QMAKE_TARGET)"
	-strip "$(INSTALL_ROOT)/mnt/dades/sistema/usr/local/bin/$(QMAKE_TARGET)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/mnt/dades/sistema/usr/local/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/mnt/dades/sistema/usr/local/bin/"


install: install_target  

uninstall: uninstall_target

## qdacco 0.6d

=== Makefile ===
#############################################################################
# Makefile for building: qdacco
# Generated by qmake (2.01a) (Qt 4.2.1) on: dc. ag. 1 12:20:50 2007
# Project:  qdacco.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile qdacco.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT  $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = configure.cpp \
		main.cpp \
		qdacco.cpp \
		StructureParser.cpp \
		StructureList.cpp \
		worddata.cpp \
		about.cpp \
		suggeriment.cpp \
		connection.cpp \
		auxiliar.cpp \
		mylineedit.cpp \
		mylistwidget.cpp moc_configure.cpp \
		moc_main.cpp \
		moc_about.cpp \
		moc_suggeriment.cpp \
		moc_connection.cpp \
		moc_textbrowser.cpp \
		moc_mylineedit.cpp \
		moc_mylistwidget.cpp \
		qrc_icons.cpp \
		qrc_translation.cpp
OBJECTS       = configure.o \
		main.o \
		qdacco.o \
		StructureParser.o \
		StructureList.o \
		worddata.o \
		about.o \
		suggeriment.o \
		connection.o \
		auxiliar.o \
		mylineedit.o \
		mylistwidget.o \
		moc_configure.o \
		moc_main.o \
		moc_about.o \
		moc_suggeriment.o \
		moc_connection.o \
		moc_textbrowser.o \
		moc_mylineedit.o \
		moc_mylistwidget.o \
		qrc_icons.o \
		qrc_translation.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		conf.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		qdacco.pro
QMAKE_TARGET  = qdacco
DESTDIR       = 
TARGET        = qdacco

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_configure.h ui_main.h ui_about.h ui_suggeriment.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qdacco.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		conf.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix -o Makefile qdacco.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
conf.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile qdacco.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qdacco1.0.0 || $(MKDIR) .tmp/qdacco1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qdacco1.0.0/ && $(COPY_FILE) --parents configure.h main.h StructureParser.h StructureList.h worddata.h about.h suggeriment.h connection.h auxiliar.h textbrowser.h auxiliar.h mylineedit.h mylistwidget.h .tmp/qdacco1.0.0/ && $(COPY_FILE) --parents icons.qrc translation.qrc .tmp/qdacco1.0.0/ && $(COPY_FILE) --parents configure.cpp main.cpp qdacco.cpp StructureParser.cpp StructureList.cpp worddata.cpp about.cpp suggeriment.cpp connection.cpp auxiliar.cpp mylineedit.cpp mylistwidget.cpp .tmp/qdacco1.0.0/ && $(COPY_FILE) --parents configure.ui main.ui about.ui suggeriment.ui .tmp/qdacco1.0.0/ && $(COPY_FILE) --parents qdacco_ca.ts .tmp/qdacco1.0.0/ && (cd `dirname .tmp/qdacco1.0.0` && $(TAR) qdacco1.0.0.tar qdacco1.0.0 && $(COMPRESS) qdacco1.0.0.tar) && $(MOVE) `dirname .tmp/qdacco1.0.0`/qdacco1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qdacco1.0.0


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_configure.cpp moc_main.cpp moc_about.cpp moc_suggeriment.cpp moc_connection.cpp moc_textbrowser.cpp moc_mylineedit.cpp moc_mylistwidget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_configure.cpp moc_main.cpp moc_about.cpp moc_suggeriment.cpp moc_connection.cpp moc_textbrowser.cpp moc_mylineedit.cpp moc_mylistwidget.cpp
moc_configure.cpp: ui_configure.h \
		auxiliar.h \
		configure.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) configure.h -o moc_configure.cpp

moc_main.cpp: ui_main.h \
		configure.h \
		ui_configure.h \
		auxiliar.h \
		about.h \
		ui_about.h \
		suggeriment.h \
		ui_suggeriment.h \
		connection.h \
		textbrowser.h \
		StructureList.h \
		worddata.h \
		main.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) main.h -o moc_main.cpp

moc_about.cpp: ui_about.h \
		about.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) about.h -o moc_about.cpp

moc_suggeriment.cpp: ui_suggeriment.h \
		suggeriment.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) suggeriment.h -o moc_suggeriment.cpp

moc_connection.cpp: auxiliar.h \
		connection.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) connection.h -o moc_connection.cpp

moc_textbrowser.cpp: auxiliar.h \
		textbrowser.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) textbrowser.h -o moc_textbrowser.cpp

moc_mylineedit.cpp: auxiliar.h \
		mylineedit.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) mylineedit.h -o moc_mylineedit.cpp

moc_mylistwidget.cpp: auxiliar.h \
		mylistwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) mylistwidget.h -o moc_mylistwidget.cpp

compiler_rcc_make_all: qrc_icons.cpp qrc_translation.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_icons.cpp qrc_translation.cpp
qrc_icons.cpp: icons.qrc \
		/usr/bin/rcc \
		icons/button_ok.png \
		icons/find.png \
		icons/button_cancel.png \
		icons/close.png \
		icons/exit.png \
		icons/qdacco.png \
		icons/configure.png \
		icons/fileopen.png \
		icons/switch2.png \
		icons/editpaste.png \
		icons/editcopy.png \
		icons/help.png
	/usr/bin/rcc -name icons icons.qrc -o qrc_icons.cpp

qrc_translation.cpp: translation.qrc \
		/usr/bin/rcc \
		qdacco_ca.qm
	/usr/bin/rcc -name translation translation.qrc -o qrc_translation.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_configure.h ui_main.h ui_about.h ui_suggeriment.h
compiler_uic_clean:
	-$(DEL_FILE) ui_configure.h ui_main.h ui_about.h ui_suggeriment.h
ui_configure.h: configure.ui
	/usr/bin/uic-qt4 configure.ui -o ui_configure.h

ui_main.h: main.ui \
		StructureParser.h \
		textbrowser.h \
		mylineedit.h \
		mylistwidget.h \
		worddata.h \
		auxiliar.h \
		auxiliar.h \
		auxiliar.h \
		auxiliar.h
	/usr/bin/uic-qt4 main.ui -o ui_main.h

ui_about.h: about.ui
	/usr/bin/uic-qt4 about.ui -o ui_about.h

ui_suggeriment.h: suggeriment.ui
	/usr/bin/uic-qt4 suggeriment.ui -o ui_suggeriment.h

compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

configure.o: configure.cpp configure.h \
		ui_configure.h \
		auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o configure.o configure.cpp

main.o: main.cpp main.h \
		ui_main.h \
		configure.h \
		ui_configure.h \
		auxiliar.h \
		about.h \
		ui_about.h \
		suggeriment.h \
		ui_suggeriment.h \
		connection.h \
		textbrowser.h \
		StructureList.h \
		worddata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

qdacco.o: qdacco.cpp main.h \
		ui_main.h \
		configure.h \
		ui_configure.h \
		auxiliar.h \
		about.h \
		ui_about.h \
		suggeriment.h \
		ui_suggeriment.h \
		connection.h \
		textbrowser.h \
		StructureList.h \
		worddata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qdacco.o qdacco.cpp

StructureParser.o: StructureParser.cpp StructureParser.h \
		worddata.h \
		auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o StructureParser.o StructureParser.cpp

StructureList.o: StructureList.cpp StructureList.h \
		worddata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o StructureList.o StructureList.cpp

worddata.o: worddata.cpp worddata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o worddata.o worddata.cpp

about.o: about.cpp about.h \
		ui_about.h \
		auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o about.o about.cpp

suggeriment.o: suggeriment.cpp suggeriment.h \
		ui_suggeriment.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o suggeriment.o suggeriment.cpp

connection.o: connection.cpp connection.h \
		auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o connection.o connection.cpp

auxiliar.o: auxiliar.cpp auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o auxiliar.o auxiliar.cpp

mylineedit.o: mylineedit.cpp mylineedit.h \
		auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mylineedit.o mylineedit.cpp

mylistwidget.o: mylistwidget.cpp mylistwidget.h \
		auxiliar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mylistwidget.o mylistwidget.cpp

## qdacco 0.7

=== CMakeLists.txt ===
 ########## Project setup ##########
PROJECT(qdacco)
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.5)

SET( QDACCO_VERSION 0.7.0 )
#a--> 1, b-->2, ....d-->4

STRING( REGEX MATCHALL "[0-9]+" QDACCO_VERSIONS ${QDACCO_VERSION} )
LIST( GET QDACCO_VERSIONS 0 QDACCO_VERSION_MAJOR)
LIST( GET QDACCO_VERSIONS 1 QDACCO_VERSION_MINOR)
LIST( GET QDACCO_VERSIONS 2 QDACCO_VERSION_PATCH)

# ######### General setup ##########
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
find_package(Qt4 REQUIRED) 

########### qdacco lib ##########
message(STATUS "Working on qdacco lib")
add_subdirectory(lib)

########### qdacco gui ##########
message(STATUS "Working on qdacco gui")
add_subdirectory(gui)

########### qdacco text ##########
message(STATUS "Working on qdacco text")
add_subdirectory(text)

=== gui/CMakeLists.txt ===
###########################################
# qdaccogui					  #
###########################################

set (qdaccogui_SRC configure.cpp main.cpp
	   qdacco.cpp about.cpp
	   suggeriment.cpp 
	   mylineedit.cpp 
	   mylistwidget.cpp auxiliargui.cpp connection.cpp)

set (qdaccogui_MOCS configure.h main.h 
	   about.h suggeriment.h 
	   textbrowser.h mylineedit.h 
	   mylistwidget.h auxiliargui.h connection.h)

set (qdaccogui_UIS configure.ui main.ui about.ui suggeriment.ui)

set(QT_USE_QTXML true)
set(QT_USE_QTNETWORK true) 

INCLUDE(   ${QT_USE_FILE}   )

include_directories(
    ${QT_INCLUDE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/lib/
	${CMAKE_SOURCE_DIR}/lib/
	${CMAKE_BINARY_DIR}/gui/
	${CMAKE_SOURCE_DIR}/gui/)

# generate rules for building source files from the resources
#
set(qdaccogui_RCCS icons.qrc translation.qrc)
# generate rules for building source files that moc generates
QT4_WRAP_UI(qdaccogui_UIS_H ${qdaccogui_UIS})
QT4_WRAP_CPP(qdaccogui_MOC_SRCS ${qdaccogui_MOCS})

QT4_ADD_RESOURCES(qdaccogui_RCC_SRCS ${qdaccogui_RCCS})


#ADD_DEFINITIONS(${QT_DEFINITIONS})
#ADD_DEFINITIONS(-DQT_SHARED)
# build sources, moc'd sources, and rcc'd sources
# # generate rules for building source files from the resources
# build sources, moc'd sources, and rcc'd sources
add_executable(qdacco  ${qdaccogui_MOCS} ${qdaccogui_MOC_SRCS} ${qdaccogui_UIS_H}
	${qdaccogui_SRC} ${qdaccogui_SRCS} ${qdaccogui_RCC_SRCS})

target_link_libraries( qdacco qdaccolib ${QT_LIBRARIES})

add_dependencies(qdacco qdaccolib)

install_targets(/bin qdacco)

=== lib/CMakeLists.txt ===
#qdaccolib

#qdaccolib needs QtXml
set(QT_USE_QTXML true)

set(QT_DONT_USE_QTNETWORK true)
set(QT_DONT_USE_QTGUI  true)

INCLUDE(${QT_USE_FILE})

set(qdaccolib_SRCS auxiliar.cpp 
			StructureList.cpp  StructureParser.cpp
			worddata.cpp)

set(qdaccolib_MOCS)

#not moc'ed 
#auxiliar.h StructureList.h StructureParser.h worddata.h


#set(qdaccolib_RCCS ../../qdaccolib.qrc)
#set(qdaccolib_UIS )

include_directories(
    ${QT_INCLUDE_DIR}
	${QT_QTXML_INCLUDE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/core/
	${CMAKE_CURRENT_BINARY_DIR}/core/)
	
# generate rules for building source files from the resources
#QT4_WRAP_UI(qdaccolib_UIS_H ${qdaccolib_UIS})
QT4_WRAP_CPP(qdaccolib_MOC_SRCS ${qdaccolib_MOCS})
QT4_ADD_RESOURCES(qdaccolib_RCC_SRCS ${qdaccolib_RCCS})

# generate rules for building source files that moc generates

#ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_SHARED)
# build sources, moc'd sources, and rcc'd sources

add_library(qdaccolib SHARED ${qdaccolib_MOC_SRCS} ${qdaccolib_UIS_H}
	${qdaccolib_SRCS} ${qdaccolib_MOCS} ${qdaccolib_RCC_SRCS})

set_target_properties( qdaccolib PROPERTIES 
  SOVERSION "${QDACCO_VERSION_MAJOR}.${QDACCO_VERSION_MINOR}"
  VERSION "${QDACCO_VERSION}")

target_link_libraries( qdaccolib ${QT_LIBRARIES})

install_targets(/lib qdaccolib)

=== text/CMakeLists.txt ===
###########################################
# textqdacco					  #
###########################################

set (textqdacco_SRC textdacco.cpp)
#file(GLOB textqdacco_MOCS *.hpp *.h)
#file(GLOB textqdacco_UIS *.ui)

set(textqdacco_MOCS textdacco.h)

set(QT_USE_QTXML true)
set(QT_DONT_USE_QTGUI true)
set(QT_DONT_USE_QTNETWORKtrue)

INCLUDE(   ${QT_USE_FILE}   )

include_directories(
    ${QT_INCLUDE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/lib/
	${CMAKE_SOURCE_DIR}/lib/
	${CMAKE_BINARY_DIR}/text/
	${CMAKE_SOURCE_DIR}/text/)

# generate rules for building source files from the resources
#

# generate rules for building source files that moc generates
#QT4_WRAP_UI(textqdacco_UIS_H ${textqdacco_UIS})
QT4_WRAP_CPP(textqdacco_MOC_SRCS ${textqdacco_MOCS})

#QT4_ADD_RESOURCES(plugin_RCC_SRCS ${plugin_RCCS})


#ADD_DEFINITIONS(${QT_DEFINITIONS})
#ADD_DEFINITIONS(-DQT_SHARED)
# build sources, moc'd sources, and rcc'd sources
# # generate rules for building source files from the resources
# build sources, moc'd sources, and rcc'd sources
add_executable(textqdacco   ${textqdacco_MOCS} ${textqdacco_MOC_SRCS} ${textqdacco_UIS_H}
	${textqdacco_SRC} ${textqdacco_SRCS} )

target_link_libraries( textqdacco qdaccolib ${QT_LIBRARIES})

add_dependencies(textqdacco qdaccolib)

install_targets(/bin textqdacco)

## qdacco 0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PROJECT(qdacco)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.4.5)
 
-SET( QDACCO_VERSION 0.7.0 )
+SET( QDACCO_VERSION 0.8.0 )
 #a--> 1, b-->2, ....d-->4
 
 STRING( REGEX MATCHALL "[0-9]+" QDACCO_VERSIONS ${QDACCO_VERSION} )

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -3,20 +3,20 @@
 ###########################################
 
 set (qdaccogui_SRC configure.cpp main.cpp
-	   qdacco.cpp about.cpp
-	   suggeriment.cpp 
-	   mylineedit.cpp 
-	   mylistwidget.cpp auxiliargui.cpp connection.cpp)
+	   qdacco.cpp about.cpp suggeriment.cpp mylineedit.cpp 
+	   mylistwidget.cpp auxiliargui.cpp connection.cpp oneinstance.cpp
+	   trayicon.cpp loadconfig.cpp)
 
 set (qdaccogui_MOCS configure.h main.h 
-	   about.h suggeriment.h 
-	   textbrowser.h mylineedit.h 
-	   mylistwidget.h auxiliargui.h connection.h)
+	   about.h suggeriment.h textbrowser.h mylineedit.h 
+	   mylistwidget.h auxiliargui.h connection.h oneinstance.h
+	   trayicon.h loadconfig.h)
 
 set (qdaccogui_UIS configure.ui main.ui about.ui suggeriment.ui)
 
 set(QT_USE_QTXML true)
 set(QT_USE_QTNETWORK true) 
+set(QT_USE_QTDBUS true) 
 
 INCLUDE(   ${QT_USE_FILE}   )
 
@@ -38,6 +38,11 @@
 
 QT4_ADD_RESOURCES(qdaccogui_RCC_SRCS ${qdaccogui_RCCS})
 
+# Suggeriment CMake 2.6
+if(COMMAND cmake_policy)
+    cmake_policy(SET CMP0003 NEW)
+endif(COMMAND cmake_policy)
+
 
 #ADD_DEFINITIONS(${QT_DEFINITIONS})
 #ADD_DEFINITIONS(-DQT_SHARED)

=== text/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 set(QT_USE_QTXML true)
 set(QT_DONT_USE_QTGUI true)
-set(QT_DONT_USE_QTNETWORKtrue)
+set(QT_DONT_USE_QTNETWORK true)
 
 INCLUDE(   ${QT_USE_FILE}   )
 
@@ -32,6 +32,12 @@
 
 #QT4_ADD_RESOURCES(plugin_RCC_SRCS ${plugin_RCCS})
 
+# Suggeriment CMake 2.6
+if(COMMAND cmake_policy)
+   cmake_policy(SET CMP0003 NEW)
+endif(COMMAND cmake_policy)
+
+
 
 #ADD_DEFINITIONS(${QT_DEFINITIONS})
 #ADD_DEFINITIONS(-DQT_SHARED)

## qdacco 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,16 +2,38 @@
 PROJECT(qdacco)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.4.5)
 
-SET( QDACCO_VERSION 0.8.0 )
-#a--> 1, b-->2, ....d-->4
+SET( QDACCO_VERSION 0.8.2 )
 
 STRING( REGEX MATCHALL "[0-9]+" QDACCO_VERSIONS ${QDACCO_VERSION} )
 LIST( GET QDACCO_VERSIONS 0 QDACCO_VERSION_MAJOR)
 LIST( GET QDACCO_VERSIONS 1 QDACCO_VERSION_MINOR)
 LIST( GET QDACCO_VERSIONS 2 QDACCO_VERSION_PATCH)
 
+# ######### Cmake ##########
+option(CPACK_SOURCE_TGZ OFF)
+option(CPACK_SOURCE_TZ OFF)
+
+# AFAIK CPACK_PACKAGE_VERSION_* not used at the moment because
+# CPACK_SOURCE_PACKAGE_FILE_NAME is overwritten. Left for
+# compatibility and just in case.
+set( CPACK_PACKAGE_VERSION_MAJOR ${QDACCO_VERSION_MAJOR})
+set( CPACK_PACKAGE_VERSION_MINOR ${QDACCO_VERSION_MINOR})
+set( CPACK_PACKAGE_VERSION_PATCH ${QDACCO_VERSION_PATCH})
+
+set( CPACK_SOURCE_PACKAGE_FILE_NAME "qdacco-${QDACCO_VERSION}")
+
+# Assumes that ${CMAKE_BINARY_DIR} != ${CMAKE_SOURCE_DIR}
+set(CPACK_SOURCE_IGNORE_FILES ${CMAKE_BINARY_DIR} /\\\\.git/)
+
+if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
+	message(STATUS "WARNING: build and source directory is the same. make package_source will not work. Read INSTALL.ca/INSTALL.en file.")
+endif()
+
 # ######### General setup ##########
 INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
+#IF (APPLE)
+#	SET(QT_QMAKE_EXECUTABLE "/opt/local/bin/qmake-mac")
+#ENDIF (APPLE)
 find_package(Qt4 REQUIRED) 
 
 ########### qdacco lib ##########
@@ -26,4 +48,6 @@
 message(STATUS "Working on qdacco text")
 add_subdirectory(text)
 
+########### cpack capabilites ##########
+INCLUDE(CPack)

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,15 @@
 
 set (qdaccogui_SRC configure.cpp main.cpp
 	   qdacco.cpp about.cpp suggeriment.cpp mylineedit.cpp 
-	   mylistwidget.cpp auxiliargui.cpp connection.cpp oneinstance.cpp
+	   mylistwidget.cpp AuxiliarGUI.cpp connection.cpp oneinstance.cpp
 	   trayicon.cpp loadconfig.cpp)
 
 set (qdaccogui_MOCS configure.h main.h 
 	   about.h suggeriment.h textbrowser.h mylineedit.h 
-	   mylistwidget.h auxiliargui.h connection.h oneinstance.h
+	   mylistwidget.h connection.h oneinstance.h
 	   trayicon.h loadconfig.h)
+
+set (qdaccogui_H AuxiliarGUI.h)
 
 set (qdaccogui_UIS configure.ui main.ui about.ui suggeriment.ui)
 
@@ -43,13 +45,17 @@
     cmake_policy(SET CMP0003 NEW)
 endif(COMMAND cmake_policy)
 
+configure_file(
+	CMakeOptions.h.cmake
+	CMakeOptions.h
+)
 
 #ADD_DEFINITIONS(${QT_DEFINITIONS})
 #ADD_DEFINITIONS(-DQT_SHARED)
 # build sources, moc'd sources, and rcc'd sources
 # # generate rules for building source files from the resources
 # build sources, moc'd sources, and rcc'd sources
-add_executable(qdacco  ${qdaccogui_MOCS} ${qdaccogui_MOC_SRCS} ${qdaccogui_UIS_H}
+add_executable(qdacco  ${qdaccogui_H} ${qdaccogui_MOCS} ${qdaccogui_MOC_SRCS} ${qdaccogui_UIS_H}
 	${qdaccogui_SRC} ${qdaccogui_SRCS} ${qdaccogui_RCC_SRCS})
 
 target_link_libraries( qdacco qdaccolib ${QT_LIBRARIES})

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #qdaccolib
+SET( QDACCO_LIB_VERSION 0.7.0 )
 
 #qdaccolib needs QtXml
 set(QT_USE_QTXML true)
@@ -6,11 +7,23 @@
 set(QT_DONT_USE_QTNETWORK true)
 set(QT_DONT_USE_QTGUI  true)
 
+
+STRING( REGEX MATCHALL "[0-9]+" QDACCO_LIB_VERSIONS ${QDACCO_LIB_VERSION} )
+LIST( GET QDACCO_LIB_VERSIONS 0 QDACCO_LIB_VERSION_MAJOR)
+LIST( GET QDACCO_LIB_VERSIONS 1 QDACCO_LIB_VERSION_MINOR)
+LIST( GET QDACCO_LIB_VERSIONS 2 QDACCO_LIB_VERSION_PATCH)
+
+
+
 INCLUDE(${QT_USE_FILE})
 
 set(qdaccolib_SRCS auxiliar.cpp 
 			StructureList.cpp  StructureParser.cpp
 			worddata.cpp)
+
+set(qdacco_HDRS qdacco/auxiliar.h qdacco/StructureList.h
+qdacco/StructureParser.h qdacco/worddata.h)
+
 
 set(qdaccolib_MOCS)
 
@@ -32,7 +45,7 @@
 # generate rules for building source files from the resources
 #QT4_WRAP_UI(qdaccolib_UIS_H ${qdaccolib_UIS})
 QT4_WRAP_CPP(qdaccolib_MOC_SRCS ${qdaccolib_MOCS})
-QT4_ADD_RESOURCES(qdaccolib_RCC_SRCS ${qdaccolib_RCCS})
+#QT4_ADD_RESOURCES(qdaccolib_RCC_SRCS ${qdaccolib_RCCS})
 
 # generate rules for building source files that moc generates
 
@@ -44,9 +57,15 @@
 	${qdaccolib_SRCS} ${qdaccolib_MOCS} ${qdaccolib_RCC_SRCS})
 
 set_target_properties( qdaccolib PROPERTIES 
-  SOVERSION "${QDACCO_VERSION_MAJOR}.${QDACCO_VERSION_MINOR}"
-  VERSION "${QDACCO_VERSION}")
+  SOVERSION "${QDACCO_LIB_VERSION_MAJOR}.${QDACCO_LIB_VERSION_MINOR}"
+  VERSION "${QDACCO_LIB_VERSION}")
+
+#Remember to correct this to have a libqdacco
+#  OUTPUT_NAME qdacco )
+
 
 target_link_libraries( qdaccolib ${QT_LIBRARIES})
 
 install_targets(/lib qdaccolib)
+install (FILES ${qdacco_HDRS} DESTINATION include/qdacco)
+

=== text/CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,9 @@
 ###########################################
 
 set (textqdacco_SRC textdacco.cpp)
+set(textqdacco_H textdacco.h)
 #file(GLOB textqdacco_MOCS *.hpp *.h)
 #file(GLOB textqdacco_UIS *.ui)
-
-set(textqdacco_MOCS textdacco.h)
 
 set(QT_USE_QTXML true)
 set(QT_DONT_USE_QTGUI true)
@@ -28,7 +27,7 @@
 
 # generate rules for building source files that moc generates
 #QT4_WRAP_UI(textqdacco_UIS_H ${textqdacco_UIS})
-QT4_WRAP_CPP(textqdacco_MOC_SRCS ${textqdacco_MOCS})
+#QT4_WRAP_CPP(textqdacco_MOC_SRCS ${textqdacco_MOCS})
 
 #QT4_ADD_RESOURCES(plugin_RCC_SRCS ${plugin_RCCS})
 
@@ -44,7 +43,7 @@
 # build sources, moc'd sources, and rcc'd sources
 # # generate rules for building source files from the resources
 # build sources, moc'd sources, and rcc'd sources
-add_executable(textqdacco   ${textqdacco_MOCS} ${textqdacco_MOC_SRCS} ${textqdacco_UIS_H}
+add_executable(textqdacco  ${textqdacco_H} ${textqdacco_MOCS} ${textqdacco_MOC_SRCS} ${textqdacco_UIS_H}
 	${textqdacco_SRC} ${textqdacco_SRCS} )
 
 target_link_libraries( textqdacco qdaccolib ${QT_LIBRARIES})

=== debian/changelog ===
qdacco (0.8.2-1ubuntu1) precise; urgency=low

  * Updated debian/libqdaccolib0.7.symbols to fix FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 02 Mar 2012 13:04:59 -0500

qdacco (0.8.2-1) unstable; urgency=low

  * Reintroduces the package in Debian (Closes: #620706).
  * New mantainer.
  * Update to format 3.0.
  * Update to dephelper 7.0.
  * Upadte to Standards-Version 3.9.1.
  * Update to compat level 7.
  * Change debian/rules file to dh $@.
  * Update debian/control file.
  * Update debian/copyright file format.
  * Add debian/watch file.
  * Add debian/manpages file.
  * Remove docbook-to-man build dependence.
  * Add debian/libqdaccolib0.7.symbols file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Thu, 14 Jul 2011 16:21:15 +0200

qdacco (0.8-2) unstable; urgency=low

  * Added versioned build depend for cmake (>= 2.6.0) in order to
  avoid FTBFS in hppa

 -- Miguel Gea Milvaques <xerakko@debian.org>  Thu, 24 Jul 2008 23:06:30 +0200

qdacco (0.8-1) unstable; urgency=low

  * New upstream release 

 -- Miguel Gea Milvaques <xerakko@debian.org>  Wed, 09 Jul 2008 20:06:32 +0200

qdacco (0.7-2) unstable; urgency=low

  * Added include to avoid FTBFS with g++ 4.3 ( Closes: #466968 ). Thanks to
    Cyril Brulebois

 -- Miguel Gea Milvaques <xerakko@debian.org>  Wed, 27 Feb 2008 21:28:43 +0100

qdacco (0.7-1) unstable; urgency=low

  * New upstream release.
  * Package split: qdacco, libqdacco-dev and libqdacco0.7-dev. Now,
    it contains a new library and text only version.
  * Moved license to gpl-3 or later.

 -- Miguel Gea Milvaques <xerakko@debian.org>  Fri, 08 Feb 2008 18:45:33 +0100

qdacco (0.6d-3) unstable; urgency=low

  * Modifictions in rules in order to build twice in a row
  * Changed Apps to Applications in menu file

 -- Miguel Gea Milvaques <xerakko@debian.org>  Thu, 06 Sep 2007 20:40:53 +0200

qdacco (0.6d-2) unstable; urgency=low

  * Subst make clean with rm in rules to avoid FTBFS in hppa. 

 -- Miguel Gea Milvaques <xerakko@debian.org>  Tue, 07 Aug 2007 11:42:51 +0200

qdacco (0.6d-1) unstable; urgency=low

  * New upstream release
  * Added desktop file (Closes: #428290)
  * Lintian clean (subst of -make clean in rules file)

 -- Miguel Gea Milvaques <xerakko@debian.org>  Mon, 06 Aug 2007 12:17:18 +0200

qdacco (0.6c-1) unstable; urgency=low

  * New upstream release
  * Added Suggests: festival.

 -- Miguel Gea Milvaques <xerakko@debian.org>  Mon, 30 Apr 2007 20:14:57 +0200

qdacco (0.5d-1) unstable; urgency=low

  * New upstream release

 -- Miguel Gea Milvaques <xerakko@debian.org>  Fri, 10 Nov 2006 22:11:15 +0100

qdacco (0.5c-1) unstable; urgency=medium

  * New upstream release. Closes: #391913 (FTBFS)

 -- Miguel Gea Milvaques <xerakko@debian.org>  Tue, 10 Oct 2006 00:07:11 +0200

qdacco (0.5b-1) unstable; urgency=low

  * New upstream release

 -- Miguel Gea Milvaques <xerakko@debian.org>  Mon,  9 Oct 2006 19:10:36 +0200

qdacco (0.5a-1) unstable; urgency=low

  * New upstream release

 -- Miguel Gea Milvaques <xerakko@debian.org>  Sun,  8 Oct 2006 20:41:20 +0200

qdacco (0.5-1) unstable; urgency=low

  * New upstream release

 -- Miguel Gea Milvaques <xerakko@debian.org>  Fri,  6 Oct 2006 09:51:34 +0200

qdacco (0.4-3) unstable; urgency=low

  * Remove FTBFS with gcc 4.1 (Thanks to Martin Michlmayr) Closes: #361331 

 -- Miguel Gea Milvaques <xerakko@debian.org>  Sat, 20 May 2006 01:07:26 +0200

qdacco (0.4-2) unstable; urgency=low

  * Changed qdacco menu icon. 

 -- Miguel Gea Milvaques <xerakko@debian.org>  Sat, 22 Apr 2006 21:11:29 +0200

qdacco (0.4-1) unstable; urgency=low

  * New upstream release

 -- Miguel Gea Milvaques <xerakko@debian.org>  Wed, 12 Apr 2006 23:06:06 +0200

qdacco (0.3a-1) unstable; urgency=low

  * Initial release Closes: #345023 

 -- Miguel Gea Milvaques <debian@miguelgea.com>  Thu, 19 Jan 2006 15:54:06 +0100

=== debian/control ===
Source: qdacco
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Build-Depends: debhelper (>= 7.0), libqt4-dev, libglib2.0-dev,cmake (>=2.6.0)
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/project/showfiles.php?group_id=80666 

Package: qdacco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dacco-common
Suggests: festival
Description: offline Dacco Catalan <-> English dictionary frontend (qt)
 Dacco is a free Catalan-English dictionary. It gives two versions, one
 qt based and other text based. Both are frontends to use the dacco
 dictionary.

Package: libqdaccolib-dev
Section: libdevel
Architecture: any
Depends: libqdaccolib0.7 (= ${binary:Version}), ${misc:Depends}
Description: library for facilitate access to dacco dictionary (devel)
 Dacco is a free Catalan-English dictionary and libqdaccolib is a library to
 facilitate its integration in applications. 
 .
 This package contains the files needed for development.

Package: libqdaccolib0.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for facilitate access to dacco dictionary (runtime)
 Dacco is a free Catalan-English dictionary and libqdaccolib is a library to
 facilitate its integration in applications. 
 .
 This package contains the runtime files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

%:
	dh $@

=== debian/watch ===
# watch control file for uscan
version=3
http://sf.net/dacco/qdacco-(.*)\.tar \.gz debian uupdate

## qdacco 0.8.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
  ########## Project setup ##########
 PROJECT(qdacco)
-CMAKE_MINIMUM_REQUIRED(VERSION 2.4.5)
+CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-SET( QDACCO_VERSION 0.8.2 )
+SET( QDACCO_VERSION 0.8.5 )
 
 STRING( REGEX MATCHALL "[0-9]+" QDACCO_VERSIONS ${QDACCO_VERSION} )
 LIST( GET QDACCO_VERSIONS 0 QDACCO_VERSION_MAJOR)
@@ -34,20 +36,19 @@
 #IF (APPLE)
 #	SET(QT_QMAKE_EXECUTABLE "/opt/local/bin/qmake-mac")
 #ENDIF (APPLE)
-find_package(Qt4 REQUIRED) 
+find_package(Qt5Core REQUIRED)
+find_package(Qt5Gui REQUIRED) 
+find_package(Qt5Network REQUIRED) 
+find_package(Qt5Xml REQUIRED) 
+find_package(Qt5Widgets REQUIRED)
 
-########### qdacco lib ##########
-message(STATUS "Working on qdacco lib")
-add_subdirectory(lib)
+include_directories(${Qt5Widgets_INCLUDES} ${Qt5Xml_INCLUDES})
+add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Xml_DEFINITIONS})
 
 ########### qdacco gui ##########
 message(STATUS "Working on qdacco gui")
 add_subdirectory(gui)
 
-########### qdacco text ##########
-message(STATUS "Working on qdacco text")
-add_subdirectory(text)
-
 ########### cpack capabilites ##########
 INCLUDE(CPack)

=== gui/CMakeLists.txt ===
###########################################
# qdaccogui					  #
###########################################

set (qdaccogui_SRC configure.cpp main.cpp
	   qdacco.cpp about.cpp mylineedit.cpp 
	   mylistwidget.cpp AuxiliarGUI.cpp oneinstance.cpp
	   trayicon.cpp loadconfig.cpp
       ../nongui/auxiliar.cpp
       ../nongui/StructureList.cpp
       ../nongui/StructureParser.cpp
       ../nongui/worddata.cpp
    )

set (qdaccogui_MOCS configure.h main.h 
	   about.h textbrowser.h mylineedit.h 
	   mylistwidget.h oneinstance.h
	   trayicon.h loadconfig.h)

set (qdaccogui_H AuxiliarGUI.h
     ../nongui/auxiliar.h
     ../nongui/StructureList.h
     ../nongui/StructureParser.h
     ../nongui/worddata.h
   )

set (qdaccogui_UIS configure.ui main.ui about.ui)

set(CMAKE_AUTOMOC ON)
#set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)

include_directories(
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR})

# generate rules for building source files from the resources
#
set(qdaccogui_RCCS icons.qrc translation.qrc)
# generate rules for building source files that moc generates

QT5_WRAP_UI(qdaccogui_UIS_H ${qdaccogui_UIS})
#QT5_WRAP_CPP(${qdaccogui_MOCS})

QT5_ADD_RESOURCES(qdaccogui_RCC_SRCS ${qdaccogui_RCCS})

# Suggeriment CMake 2.6
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

configure_file(
	CMakeOptions.h.cmake
	CMakeOptions.h
)

# build sources, moc'd sources, and rcc'd sources
# # generate rules for building source files from the resources
# build sources, moc'd sources, and rcc'd sources
add_executable(qdacco  ${qdaccogui_H} ${qdaccogui_MOCS} ${qdaccogui_MOC_SRCS} ${qdaccogui_UIS_H}
	${qdaccogui_SRC} ${qdaccogui_SRCS} ${qdaccogui_RCC_SRCS})

qt5_use_modules(qdacco Widgets)

target_link_libraries( qdacco ${Qt5Xml_LIBRARIES} ${Qt5DBus_LIBRARIES})

install_targets(/bin qdacco)

=== nongui/CMakeLists.txt ===
#qdaccolib
SET( QDACCO_LIB_VERSION 0.7.0 )

#qdaccolib needs QtXml
set(QT_USE_QTXML true)

set(QT_DONT_USE_QTNETWORK true)
set(QT_DONT_USE_QTGUI  true)


STRING( REGEX MATCHALL "[0-9]+" QDACCO_LIB_VERSIONS ${QDACCO_LIB_VERSION} )
LIST( GET QDACCO_LIB_VERSIONS 0 QDACCO_LIB_VERSION_MAJOR)
LIST( GET QDACCO_LIB_VERSIONS 1 QDACCO_LIB_VERSION_MINOR)
LIST( GET QDACCO_LIB_VERSIONS 2 QDACCO_LIB_VERSION_PATCH)



INCLUDE(${QT_USE_FILE})

set(qdaccolib_SRCS auxiliar.cpp 
			StructureList.cpp  StructureParser.cpp
			worddata.cpp)

set(qdacco_HDRS qdacco/auxiliar.h qdacco/StructureList.h
qdacco/StructureParser.h qdacco/worddata.h)


set(qdaccolib_MOCS)

#not moc'ed 
#auxiliar.h StructureList.h StructureParser.h worddata.h


#set(qdaccolib_RCCS ../../qdaccolib.qrc)
#set(qdaccolib_UIS )

include_directories(
    ${QT_INCLUDE_DIR}
	${QT_QTXML_INCLUDE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/core/
	${CMAKE_CURRENT_BINARY_DIR}/core/)
	
# generate rules for building source files from the resources
#QT4_WRAP_UI(qdaccolib_UIS_H ${qdaccolib_UIS})
QT5_WRAP_CPP(qdaccolib_MOC_SRCS ${qdaccolib_MOCS})
#QT4_ADD_RESOURCES(qdaccolib_RCC_SRCS ${qdaccolib_RCCS})

# generate rules for building source files that moc generates

#ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_SHARED)
# build sources, moc'd sources, and rcc'd sources

add_library(qdaccolib SHARED ${qdaccolib_MOC_SRCS} ${qdaccolib_UIS_H}
	${qdaccolib_SRCS} ${qdaccolib_MOCS} ${qdaccolib_RCC_SRCS})

set_target_properties( qdaccolib PROPERTIES 
  SOVERSION "${QDACCO_LIB_VERSION_MAJOR}.${QDACCO_LIB_VERSION_MINOR}"
  VERSION "${QDACCO_LIB_VERSION}")

#Remember to correct this to have a libqdacco
#  OUTPUT_NAME qdacco )


set(QT_LIBRARIES ${Qt5Xml_LIBRARIES})
message(VERBOSE ************** QT_LIBRARIES ${QT_LIBRARIES})

target_link_libraries( qdaccolib ${QT_LIBRARIES})

install_targets(/lib qdaccolib)
install (FILES ${qdacco_HDRS} DESTINATION include/qdacco)

=== debian/changelog ===
qdacco (0.8.5-1) unstable; urgency=low

   * New upstream version.
     + Update Build-Depends to qtbase5-dev (ported to Qt5).
   * The libqdaccolib0.7 package is no longer compiled:
     + Update debian/control file: remove
     lib package information.
     + Removed unnecessary *lib files from debian directory.
   * Change homepage URL to GitHub.
   * Update years in debian/copyright file.
   * Update debian/watch file for GitHub.
   * Update Standards-Version (4.0.0) field in debian/control file.
   * Remove unnecessary patch (Incorporated in the sources 
     of the new version).
   * Update to compat level 10 (no changes required).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 18 Jun 2017 17:26:14 +0200

qdacco (0.8.2-2) unstable; urgency=low

   * Update to Standards-Version 3.9.8:
     - Update to debhelper 9.0: add build dependencies
       in debian/control.
     - Update debian/compat file to 9.
     - Update debian/copyright head.
   * Add the hardering flags to debian/rules.
     - Add dpkg-dev in build depends field in debian/control.
   * Add section field for libqdaccolib0.7 package in debian/control.
   * Remove debian/menu file by the tech-ctte decision on #741573.
   * Update years in debian/copyright file.
   * Update debian/watch file.
   * Update debian/libqdaccolib0.7.symbols file (LP: #935394).
   * Add Keywords field in desktop file (whit .pacht file).
   * Add Vcs fields in debian/control.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 07 May 2016 18:35:48 +0200

=== debian/control ===
Source: qdacco
Section: text
Priority: optional
Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Build-Depends: debhelper (>= 10), qtbase5-dev (>= 5.5.1), libglib2.0-dev, cmake, dpkg-dev (>= 1.16.9)
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/qdacco.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/qdacco.git
Homepage: https://github.com/cpina/qdacco 

Package: qdacco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dacco-common
Suggests: festival
Description: offline Dacco Catalan <-> English dictionary frontend (qt)
 Dacco is a free Catalan-English dictionary. It gives two versions, one
 qt based and other text based. Both are frontends to use the dacco
 dictionary.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
+DPKG_EXPORT_BUILDFLAGS = 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+include /usr/share/dpkg/buildflags.mk
 CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
# watch control file for uscan
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/qdacco-$1\.tar\.gz/ \
  https://github.com/cpina/qdacco/tags .*/v?(\d\S+)\.tar\.gz
